#include <iostream>
using namespace std;
class Niz {
public:
    int broj;
    bool da;
    Niz() {
        cin >> broj;
        da = false;
    }
    ~Niz() {
        if(da) {
            cout << broj << " ";
        }
    }
};
int main()
{
    int n, k, brojac = 0, brojac2 = 0;
    cin >> n >> k;
    Niz* niz = new Niz[n];
    for(int i = 0; i < n; i++) {
        brojac = 1;
        if(brojac == k) {
            niz[i].da = true;
            brojac2++;
            continue;
        }
        for(int j = i - 1; j >= 0; j--) {
            if(niz[i].broj == niz[j].broj) {
                brojac++;
                if(niz[j].da == true) {
                    break;
                }
            }
            if(brojac == k) {
                niz[i].da = true;
                brojac2++;
                break;
            }
        }
    }
    cout << brojac2 << endl;
    delete[] niz;
    return 0;
}